Caverphone (Encode/Decode Utilities (Version 1.10))
Date: 2018-05-06

org.apache.commons.codec.language

## Class Caverphone

- java.lang.Object
- - org.apache.commons.codec.language.Caverphone

- All Implemented Interfaces:
    Encoder, StringEncoder

  Deprecated.
  1.5 Replaced by `Caverphone2`, will be removed in 2.0.

      @Deprecated
      public class Caverphone
      extends java.lang.Object
      implements StringEncoder

  Encodes a string into a Caverphone 2.0 value. Delegate to a `Caverphone2` instance. This is an algorithm created by the Caversham Project at the University of Otago. It implements the Caverphone 2.0 algorithm:
  Since:
    1.4
  Version:
    $Id: Caverphone.java 1079535 2011-03-08 20:54:37Z ggregory $
  See Also:
    Wikipedia - Caverphone, Caverphone 2.0 specification

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Caverphone2` | `encoder` Deprecated. Delegate to a `Caverphone2` instance to avoid code duplication.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Caverphone()` Deprecated. Creates an instance of the Caverphone encoder

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `caverphone(java.lang.String source)` Deprecated. Encodes the given String into a Caverphone value.
    `java.lang.Object` | `encode(java.lang.Object obj)` Deprecated. Encodes an Object using the caverphone algorithm.
    `java.lang.String` | `encode(java.lang.String str)` Deprecated. Encodes a String using the Caverphone algorithm.
    `boolean` | `isCaverphoneEqual(java.lang.String str1, java.lang.String str2)` Deprecated. Tests if the caverphones of two strings are identical.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### encoder

          private final Caverphone2 encoder

      Deprecated.
      Delegate to a `Caverphone2` instance to avoid code duplication.

  - ### Constructor Detail

    - #### Caverphone

          public Caverphone()

      Deprecated.
      Creates an instance of the Caverphone encoder

  - ### Method Detail

    - #### caverphone

          public java.lang.String caverphone(java.lang.String source)

      Deprecated.
      Encodes the given String into a Caverphone value.
      Parameters:
        `source` - String the source string
      Returns:
        A caverphone code for the given String

    - #### encode

          public java.lang.Object encode(java.lang.Object obj)
                                  throws EncoderException

      Deprecated.
      Encodes an Object using the caverphone algorithm. This method is provided in order to satisfy the requirements of the Encoder interface, and will throw an EncoderException if the supplied object is not of type java.lang.String.
      Specified by:
        `encode` in interface `Encoder`
      Parameters:
        `obj` - Object to encode
      Returns:
        An object (or type java.lang.String) containing the caverphone code which corresponds to the String supplied.
      Throws:
        `EncoderException` - if the parameter supplied is not of type java.lang.String

    - #### encode

          public java.lang.String encode(java.lang.String str)

      Deprecated.
      Encodes a String using the Caverphone algorithm.
      Specified by:
        `encode` in interface `StringEncoder`
      Parameters:
        `str` - String object to encode
      Returns:
        The caverphone code corresponding to the String supplied

    - #### isCaverphoneEqual

          public boolean isCaverphoneEqual(java.lang.String str1,
                                  java.lang.String str2)

      Deprecated.
      Tests if the caverphones of two strings are identical.
      Parameters:
        `str1` - First of two strings to compare
        `str2` - Second of two strings to compare
      Returns:
        `true` if the caverphones of these strings are identical, `false` otherwise.

commons-codec version 1.10 - Copyright © 2002-2018 - Apache Software Foundation